Bug 1081587 - Ruby on Rails 4.1
Summary: Ruby on Rails 4.1
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Josef Stribny
QA Contact:
Simon Clark
URL:
Whiteboard: ChangeAcceptedF21 SystemWideChange
Keywords:
Depends On:
Blocks: 1083983
TreeView+ depends on / blocked
 
Reported: 2014-03-27 16:03 UTC by Jaroslav Reznik
Modified: 2016-01-04 05:52 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-08 15:22:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pbokoc: fedora_requires_release_note+


Attachments (Terms of Use)

Description Jaroslav Reznik 2014-03-27 16:03:58 UTC
This is a tracking bug for Change: Ruby on Rails 4.1
For more details, see: http://fedoraproject.org//wiki/Changes/Ruby_on_Rails_4.1

Ruby on Rails 4.1 is the latest version of well know web framework written in Ruby.

Comment 1 Simon Clark 2014-08-15 14:02:35 UTC
Hello Josef.

I have drafted the Ruby on Rails 4.1 release note for Fedora 21.  Please would you have a look at https://fedoraproject.org/wiki/Documentation_Development_Web_Beat#Ruby_on_Rails_4.1 and let me know if it is OK or if anything needs to be added or changed?

Thanks.

Comment 2 Josef Stribny 2014-08-18 11:18:59 UTC
Hi Simon,

I would probably not link the "egdeguides". Rails 4.1 is released for a while now and the official final documentation already contains the changes.

So the links would be:
http://guides.rubyonrails.org/4_1_release_notes.html
http://guides.rubyonrails.org/upgrading_ruby_on_rails.html

Comment 3 Simon Clark 2014-08-18 12:52:36 UTC
Thanks for the feedback, Josef.

I have changed the draft to include the links to the official, final Ruby on Rails documentation.  (See https://fedoraproject.org/wiki/Documentation_Development_Web_Beat#Ruby_on_Rails_4.1 )

Comment 4 Jaroslav Reznik 2014-10-07 12:23:47 UTC
This message is a reminder that Fedora 21 Change Checkpoint: 100% Code Complete Deadline (Former Accepted Changes 100% Complete) is on 2014-10-14 [1].

All Accepted Changes has to be code complete and ready to be validated in the Beta release (optionally by Fedora QA). Required bug state at this point is ON_QA.

As for several System Wide Changes, Beta Change Deadline is a point of contingency plan. All incompleted Changes will be reported to FESCo on 2014-10-15 meeting. In case of any questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/21/Schedule


Note You need to log in before you can comment on or make changes to this bug.